function IM = mutual_information(I,J)
% on suppose que les images sont de la mme taille et que les intensits
% sont comprises entre 0 et 255
H = hist_joint(I,J);
Pij = H/(sum(H(:)));
Pi = sum(Pij,1); 
Pj = sum(Pij,2); 
TMP = Pij.*log2(Pij./(Pj*Pi));
TMP(Pij==0)=0;
IM = sum(TMP(:));